describe('ItemLastEntries', () => {
    beforeEach(() => {
        cy.viewport(1280, 720);
        cy.login('buyer');
        cy.visit('/#/item/1/last-entries');
        cy.intercept('GET', /.*lastEntriesFilter/).as('item');
        cy.waitForElement('tbody');
    });

    it('should filter by agency', () => {
        cy.get('tbody > tr')
            .its('length')
            .then((rowCount) => {
                cy.get('[data-cy="hideInventory"]').click();
                cy.wait('@item');
                cy.waitForElement('tbody');
                cy.get('tbody > tr').should('have.length.greaterThan', rowCount);
            });
    });
});
